curl --request GET \
--url https://api.letsdothis.com/v0/events/{id}/applications \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/events/{id}/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/events/{id}/applications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "66e1f203142536475869a7b8",
"participantIndex": 0,
"bookingId": "66b1c2d3e4f5061728394a5b",
"transactionId": null,
"eventOccurrenceId": "66a2b3c4d5e6f708192a3b4c",
"eventId": "66a1b2c3d4e5f60718293a4b",
"raceId": "66a3b4c5d6e7f8092a3b4c5d",
"ticketTitle": "10K General Entry",
"ticketId": "66a4b5c6d7e8f9012a3b4c5d",
"createdAt": "2026-05-10T11:20:00.000Z",
"updatedAt": "2026-05-12T09:15:00.000Z",
"fields": [
{
"id": "firstName",
"name": "First name",
"value": "John"
},
{
"id": "lastName",
"name": "Last name",
"value": "Runner"
},
{
"id": "email",
"name": "Email",
"value": "john@invalid.test"
}
],
"booker": null,
"originalTicketPrice": {
"value": 6500,
"currencyCode": "USD"
},
"incrementalStatus": "NON_INCREMENTAL",
"bibNumber": null,
"bookingCodesUsed": [],
"approvalStatus": "PENDING",
"notes": []
}
],
"page": {
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
}List applications for an event
Returns all applications associated with an event.
curl --request GET \
--url https://api.letsdothis.com/v0/events/{id}/applications \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/events/{id}/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/events/{id}/applications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "66e1f203142536475869a7b8",
"participantIndex": 0,
"bookingId": "66b1c2d3e4f5061728394a5b",
"transactionId": null,
"eventOccurrenceId": "66a2b3c4d5e6f708192a3b4c",
"eventId": "66a1b2c3d4e5f60718293a4b",
"raceId": "66a3b4c5d6e7f8092a3b4c5d",
"ticketTitle": "10K General Entry",
"ticketId": "66a4b5c6d7e8f9012a3b4c5d",
"createdAt": "2026-05-10T11:20:00.000Z",
"updatedAt": "2026-05-12T09:15:00.000Z",
"fields": [
{
"id": "firstName",
"name": "First name",
"value": "John"
},
{
"id": "lastName",
"name": "Last name",
"value": "Runner"
},
{
"id": "email",
"name": "Email",
"value": "john@invalid.test"
}
],
"booker": null,
"originalTicketPrice": {
"value": 6500,
"currencyCode": "USD"
},
"incrementalStatus": "NON_INCREMENTAL",
"bibNumber": null,
"bookingCodesUsed": [],
"approvalStatus": "PENDING",
"notes": []
}
],
"page": {
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the resource to query by
Query Parameters
The number of entries to return per page. Range between 1 - 500, defaults to 100
1 <= x <= 500100
Accepts an existing page cursor. For more details see the definition of PageCursor in the response.
Accepts an existing page cursor. For more details see the definition of PageCursor in the response.
Sort by update date. 1 for ascending, -1 for descending.
1, -1, null "1"
Sort by creation date. 1 for ascending, -1 for descending.
1, -1, null "1"
Only return entries created after this date.
"2020-01-01T20:15:00.000Z"
Only return entries created before this date.
"2020-01-01T20:15:00.000Z"
Only return entries updated after this date.
"2020-01-01T20:15:00.000Z"
Only return entries updated before this date.
"2020-01-01T20:15:00.000Z"
If set to true, all available metadata is returned.
A comma-separated list of optional features to enable for the request. Each feature extends the response with additional fields or behaviors.
tags— Exposes operational tags (e.g."injured","deferral") on each entry, enabling filtering and segmentation in consuming systems.gdpr_redacted— Indicates whether an entry has been redacted following a GDPR request, so consuming systems can suppress it accordingly.boolean_value— Provides a parsed boolean representation of agreement, confirmation, and yes/no answers onFieldentries, removing the need for client-side string normalization.
"tags,gdpr_redacted"
Response
Default Response
When requesting a list of applications, the response will be paginated. The data field will contain an array of Application objects, and the page field will contain a PageCursor object detailing the current page and cursors to navigate to earlier or later pages.
Show child attributes
Show child attributes
Cursor details for pagination.
- In scenarios with large amounts of data, it's common to return only a subset of data in a single request, known as a "page".
- Most API responses include two objects: a 'data' object with the query results, and a 'PageCursor' object detailing the current page.
- Cursors can be used to navigate to earlier or later pages in the set of results. For instance, passing the 'next' cursor from 'PageCursor' fetches the next set of results.
- Cursors are base64 encoded strings.
Show child attributes
Show child attributes
{
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
Was this page helpful?

